package com.yeejoin.amos.boot.module.jxiop.api.Enum;


import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public  enum ExcelEnums {
    CZXX  ("场站信息", "场站信息", "com.yeejoin.amos.boot.module.jxiop.api.dto.ExStationBasicDto","CZXX"),
    RYXX("人员信息", "人员信息", "com.yeejoin.amos.boot.module.jxiop.api.dto.EXPersonUser","RYXX");
    private String fileName;
    private String sheetName;
    private String classUrl;
    private String type;

    public static ExcelEnums getByKey(String type) {

        for (ExcelEnums status : ExcelEnums.values())
        {
            if (status.getType().equals(type))
            {
                return status;
            }
        }
        return null;
    }

}
